petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMLabelHasValue

Determine whether a label assigns the value to any point

### Synopsis

    #include "petscdmlabel.h"
    #include "petscis.h"
    PetscErrorCode DMLabelHasValue(DMLabel label, PetscInt value, PetscBool *contains)

### Input Parameters

| label | - the DMLabel
| value | - the value

### Output Parameter

contains -Flag indicating whether the label maps this value to any point

### See Also

DMLabelHasPoint(), DMLabelGetValue(), DMLabelSetValue()

### Level

developer

### Location

src/dm/label/dmlabel.c
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages